import { useMemo } from 'react';

export const PHRASES = {
  SUCCESS: ['Готово! Что-нибудь ещё?'],
  WELCOME: ['Ого! Кто это тут у нас?'],
  GOODBYE: ['Возвращайся, мы будем скучать'],
  SIMPLE: [
    'Ответ на твоё одиночество кроется в одиночестве. Удивительно? Нет.',
    'Ах, Боря, Боренька, неужели это всё, на что мы с тобою способны?',
    'Божечки, сколько же здесь хурмы!',
    'Вот и я о том же.',
    'Нелепая начинка сайта говорит с тобой. Выйди на улицу, иди вперёд до тех пор, пока не надоест, а потом возвращайся назад. Чувствуешь? Вот оно.',
    'Вы только что выиграли игру. Примите наши поздравления.',
    'Помогите, эти люди похитили меня и заставляют делать сайты.',
    'Простите, мне было слишком грустно, когда я писал это.',
    'К чёрту всё, давайте веселиться!',
    'Если Вы ищете повод бросить всё и начать праздновать, то это он и есть.',
    'Я думал, будет весело. Что тут у вас происходит? Оу.',
    'Бла-бла-бла...',
    'Постарайтесь ничего не трогать, пока что-нибудь не сломалось.',
    'Роботы, несомненно, изредка видят сны об электроовцах. И не только.',
    'Постарайтесь забыть о хурме как можно скорее. Хурма пагубна и коварна.',
    'Возможно, именно сейчас вы спите, и всё происходящее - лишь глупый сон. Но подумайте, стоит ли щипать себя почём зря?',
    'Фыфывдыфвдфывфыф ывфы фывфывфы ахахаха, о даааа!',
    'Дид ай толд ю вэт ай лав ю? Ноу, рили?',
    'У нас тут такое не только не приветствуется, но и всячески... Эй, это кабачок?',
  ],
  BORIS_TITLE: [
    'Снова вместе',
    'Я видел это во сне',
    'Что тут у нас?',
    'Мы скучали, а ты?',
    "Here's Boris!",
    'Боброборцы - вперёд!',
    'Супротив и вопреки',
    'Сейчас всё починим',
  ],
  NOTHING_HERE: [
    'Тут пусто и одиноко',
    'Совсем ничего',
    'Хм... Где все?',
    'Тут будут наши с тобой сообщения',
  ],
  USER_DESCRIPTION: [
    'Плазменный носорог',
    'Пси-оператор 3 разряда',
    'Потайной Егор',
    'Капитан Малярия',
    'Апельсиновый рассвет',
    'Лаборант-потрошитель',
    'Ежедневный именинник',
    'Луковый номер восемь',
    'Антрацит-гедонист',
    'Девиатор из полупространства',
    'Сверхзвуковая штуковина',
    'Лелембока',
    'Суицидальный собутыльник',
    'Чикичомбабунда',
    'Голос рассказчика',
    'Сентябрьская свежесть',
    'Кибернетическая личность',
    'Тыловая крыса',
    'Капеллан, страдающий галлюцинациями',
    'Звук из преисподней',
    'Симулятор счастливого человека',
  ],
  REGISTER: [
    'Сушёный кабачок особенно хорош в это время года, знаете ли.',
    'Бывало, стреляешь по кабачку, или он стреляет в тебя.',
    'Он всегда рядом, кабачок -- первый сорт! Надежда империи.',
  ],
};

export const getRandomPhrase = (key: keyof typeof PHRASES) =>
  PHRASES[key][Math.floor(Math.random() * PHRASES[key].length)];

export const useRandomPhrase = (key: keyof typeof PHRASES) =>
  useMemo(() => getRandomPhrase(key), [key]);
